<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2003-2010 Renzo Lauper (renzo@churchtool.org)
*  All rights reserved
*
*  This script is part of the kOOL project. The kOOL project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*  A copy is found in the textfile GPL.txt and important notices to the license
*  from the author is found in LICENSE.txt distributed with these scripts.
*
*  kOOL is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

//Titel
$HTML_TITLE= "";

//Module
$MODULES = array();

//Languages
$WEB_LANGS = array();
//$WEB_LANGS2['de'] = array('DE');
$GET_LANG_FROM_BROWSER = FALSE;

//Datenbank
$mysql_user = "";
$mysql_pass = "";
$mysql_server = "";
$mysql_db = "";

//LDAP
$ldap_enabled = FALSE;
/*
$ldap_admin = "kOOL_ldapadmin";
$ldap_admin_pw = "";
$ldap_server = "your.ldap.server";
$ldap_dn = "ou=kOOL_,dc=your,dc=ldap,dc=server";
*/
//Set to TRUE if all kOOL logins should get exported to LDAP, not only those with access to addresses
define('LDAP_EXPORT_ALL_LOGINS', FALSE);

//Base
$BASE_URL  = "";
$BASE_PATH = "";

//Smarty
$smarty_dir = $BASE_PATH;

//Include path for smarty (if installed locally)
$INCLUDE_PATH_SMARTY = '';

//SMS-Parameter
$SMS_PARAMETER = array("user" => "", "pass" => "", "api_id" => "", "sender_id" => "kOOL");

//Fast-Filter (Filter-ID)
$FAST_FILTER_IDS = array(2,3);

//Plugins
$PLUGINS = array(
);

//Warranty
define("WARRANTY_GIVER", "");
define("WARRANTY_EMAIL", "");
define("WARRANTY_URL", "");

//Webfolders
define("WEBFOLDERS", TRUE);
$WEBFOLDERS_BASE = $BASE_PATH."webfolders/";
$WEBFOLDERS_BASE_HTACCESS = $BASE_PATH.".webfolders/";

//Family sort order
$FAMFUNCTION_SORT_ORDER = array("husband" => 1, "wife" => 2, "child" => 3);

//Set to TRUE if family first name must be in every export. Otherwise it will only be "Fam Lastname".
define('FORCE_FAM_FIRSTNAME', FALSE);

//Encryption key for get.php (as set in TYPO3 extension manager for kool_base)
define("KOOL_ENCRYPTION_KEY", "");

//Allow SingleSignon through TYPO3 extension (kool_sso)
define("ALLOW_SSO", FALSE);

//Disable old fileshare
define("ENABLE_FILESHARE", FALSE);

//Set additional email fields from DB.ko_leute ('email' is set by default)
//$LEUTE_EMAIL_FIELDS[] = "";

//Only force groups for persons when adding new records (not when editing)
define("LEUTE_ADMIN_GROUPS_NEW_ONLY", FALSE);

//Add these columns to the address list export for children
//$LEUTE_EXPORT_CHILDREN_COLUMNS = array("_father", "_mother", "_natel", "_father_natel");

//Session lifetime (in seconds)
define("SESSION_TIMEOUT", 1800);
define("SESSION_TIMEOUT_WARNING", TRUE);
define("SESSION_TIMEOUT_AUTO_LOGOUT", FALSE);

//Allow group members to be exported to ezmlm mailinglists
define("EXPORT2EZMLM", FALSE);

//Set to true to disable the old way of rota planning. The new one would be with groups.
define("DP_DISABLE_OLD", FALSE);

//Set Return-Path Header for sent emails. Disable if used email server doesn't allow to set Return-Path header.
define('EMAIL_SET_RETURN_PATH', TRUE);

//Leute-Formular Layout einlesen
include($ko_path."config/leute_formular.inc");
?>
